<Project Sdk="Microsoft.NET.Sdk">
	<Import Project="..//AyCode.Core.targets" />

	<ItemGroup>
		<ProjectReference Include="..\AyCode.Utils\AyCode.Utils.csproj" />
		<ProjectReference Include="..\AyCode.Core.Serializers.SourceGenerator\AyCode.Core.Serializers.SourceGenerator.csproj" OutputItemType="Analyzer" ReferenceOutputAssembly="false" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="MessagePack" Version="3.1.4" />
		<PackageReference Include="Microsoft.Extensions.Configuration.EnvironmentVariables" Version="9.0.11" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="9.0.11" />
		<PackageReference Include="Microsoft.Extensions.Logging" Version="9.0.11" />
		<PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="9.0.11" />
		<PackageReference Include="Microsoft.Extensions.Options" Version="9.0.11" />
		<PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
	</ItemGroup>

	<ItemGroup>
	  <Folder Include="Expressions\" />
	</ItemGroup>

	<ItemGroup>
	  <None Include="docs\**\*.md" />
	  <None Include="**\README.md" Exclude="$(DefaultItemExcludes);docs\**" />
	</ItemGroup>

	<ItemGroup>
	<InternalsVisibleTo Include="AyCode.Core.Serializers.Console" />
	<InternalsVisibleTo Include="AyCode.Core.Tests" />
  </ItemGroup>

</Project>
